#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	folks
Version		:	0.15.5
Release		:	14.4.0.0%{?dist}
Summary		:	GObject contact aggregation library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/folks

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	dbus-python-devel
BuildRequires	:	evolution-data-server
BuildRequires	:	gobject-introspection
BuildRequires	:	libgee
BuildRequires	:	meson
BuildRequires	:	%{__python}
BuildRequires	:	pkgconfig(dbus-glib-1)
BuildRequires	:	python-dbusmock
BuildRequires	:	readline
BuildRequires	:	telepathy-glib
BuildRequires	:	vala

Requires(post)	:	%{_bindir}/glib-compile-schemas
#-----------------------------------------------------------------------------
%description
'%{folks}' is a library that aggregates people from multiple
sources (e.g.  Telepathy connection managers and eventually
evolution data server, Facebook, etc.) to create meta-contacts.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	-Dtests=false					\
	build

%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja							\
	-C build					\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}                                    \
        ninja                                           \
        -C build                                        \
        install

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README.md
%{_bindir}/%{name}-*
%{_includedir}/%{name}/%{name}*.h
%{_libdir}/%{name}/26/backends/*/*.so
%{_libdir}/lib%{name}*.so*
%{_libdir}/pkgconfig/%{name}*.pc
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
%{_datadir}/glib-2.0/schemas/org.freedesktop.%{name}.gschema.xml
%{_datadir}/GConf/gsettings/%{name}.convert
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/vala/vapi/%{name}*.{deps,vapi}

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null
  fi
/usr/sbin/ldconfig


%post
/usr/sbin/ldconfig
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null

#-----------------------------------------------------------------------------
%changelog
